Русский

Simply Boot Flash Creator

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator

Mole, 2017


Назначение

Русский ››

Simply Boot Flash Creator

Назначение

1. Быстро создать загрузочную флешку, способную загружаться как на старых, так и на современных PC.

2. Максимально упростить этот процесс для неподготовленного пользователя.

В программе используется "тандем" загрузчиков: Syslinux + Grub4dos.

Created with the Personal Edition of HelpNDoc: Produce Kindle eBooks easily


Системные требования

Русский ››

Системные требования

1. OС Windows XP SP3 или новее.

2. Программа не будет работать с флешками объемом более 32GB.

3. Работа на OS отличных от Windows не проверялась и не гарантируется.

4. При работе на OS Windows Vista/7/8/8.1/10 рекомендуется запускать программу от имени "Администратора".

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor


Интерфейс

Русский ››

Интерфейс

Режимы работы

А.) Автоматический (AUTO).

1. Автоопределение подключаемых USB-накопителей.

2. Автовыбор файловой системы для USB-накопителя.

3. Производится форматирование USB-накопителя.

4. Изменение/удаление имени (Volume Label) USB-накопителя.

ВНИМАНИЕ: В "АВТОМАТИЧЕСКОМ" РЕЖИМЕ USB-НАКОПИТЕЛЬ БУДЕТ ОТФОРМАТИРОВАН! ВСЕ ДАННЫЕ БУДУТ УНИЧТОЖЕНЫ!

B.) Без форматирования, только для переустановки загрузчиков (SKIP).

1. Автоопределение подключаемых USB-накопителей.

2. Форматирование USB-накопителя НЕ производится.

3. Изменение/удаление имени (Volume Label) USB-накопителя.

Тестирование конфигурации загрузчика в виртуальной машине QEMU (кнопка QEMU)

Предусмотрены три режима эмуляции загрузки (Qemu mode):

1. BIOS (он же Legacy) - эмуляция загрузки на PC не поддерживающем UEFI-загрузку

2. EFI32 (он же IA32) - эмуляция загрузки на планшетах с процессорами Intel Atom

3. EFI64 (он же UEFI) - эмуляция загрузки на PC, поддерживающем загрузку в UEFI и оснащенным x64-совместимым CPU

Примечание: Разрядность UEFI должна соответствовать разрядности операционной системы, т. е. 64-битная Windows 8-10 загружается 64-битным UEFI, а 32-битная Windows — 32-битным UEFI в режиме IA32.

Ограничения:

1. QEMU не может гарантировать полноценную загрузку WinPE, она служит только для теста загрузочных меню и экономии времени при отладке конфигурации загрузчиков.

2. Встроенная QEMU не будет работать с загрузочными USB накопителями, созданными не в Simply Boot Flash Creator

Редактирование конфигурации загрузчика Grub4Dos

При нажатии на кнопку [image] будет попытка открыть файл "/boot/grub/menu.lst" в встроенном текстовом редакторе AkelPad (для выбранного usb-накопителя).

Опция "Показать все usb-накопители" (ALL)

Эта опция включает отображение в меню "фиксированных" USB накопителей.

Следите за пиктограммой, отображающей принадлежность выбранного USB-накопителя к "съемным" [image] или "фиксированным" [image] устройствам.

Примечание: Не используйте эту опцию без необходимости.

Языковой пакет

Системные сообщения программы "вшиты" на двух языках: Английском и Русском, с авто-выбором в зависимости от основного языка операционной системы Windows.

Для всех OC с языком отличным от Русского - сообщения будут на Английском.

Created with the Personal Edition of HelpNDoc: Create help files for the Qt Help Framework


Работа с программой

Русский ››

Работа с программой

Для быстрого создания загрузочной флешки

1. Внимательно прочитать справку "Help.chm"

2. Подключить "физически" исправную USB-флешку к компьютеру.

3. Запустить программу SimBoot и выбрать в выпадающем меню целевую USB-флешку.

4. Нажать кнопку "START" и дождаться окончания процесса (будет сообщение).

5. Перейти на флешку в каталог "/boot/grub" и отредактировать (или заменить на свой) файл "menu.lst"

6. Выбрать желаемый режим эмуляции загрузки (Qemu mode) и нажать кнопку QEMU, убедиться в работоспособности внесенных вами изменений в конфигурацию загрузки.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


От Автора

Русский ››

От Автора

1. Программа бесплатна, использовать ее может любой желающий.

2. В программе используются компоненты из проектов Syslinux, Grub4Dos, RMPrepUSB, QEMU.

3. Перед знакомством с утилитой настоятельно рекомендуется чтение справки Help.chm.

Mole, 2017

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


English

Simply Boot Flash Creator

Created with the Personal Edition of HelpNDoc: Produce online help for Qt applications


Intro

English ››

Simply Boot Flash Creator

Reason

1. Create a bootable USB flash drive that is capable of booting both the old and the modern PC.

2. To simplify this process for Noobs.

Based on the "tandem": Syslinux + Grub4dos

Created with the Personal Edition of HelpNDoc: Produce online help for Qt applications


System requirements

English ››

System requirements

1. Required OS - MS Windows XP SP3 or later.

2. The program will not work with USB sticks with capacity over than 32 GB

3. If your OS other than MS Windows - any "bugs" allowed, so don't ask me about it.

4. On OS Windows Vista/7/8/8.1/10 is recommended to run the program as an "Administrator."

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Interface

English ››

Interface

Program modes

A.) Automatic (AUTO).

1. Auto-detect USB plug-in/plug-out.

2. Auto-select a file system for the USB Flash drive.

3. Format the USB Flash drive.

4. Edit or Remove a Volume Label of USB Flash drive.

IMPORTANT: IN "AUTO" MODE THE USB FLASH DRIVE WILL BE FORMATTED! ALL DATA WILL BE DESTROYED!

B.) Without formatting, it reinstall bootloaders only (SKIP).

1. Auto-detect USB plug-in/plug-out.

2. Format the USB Flash drive is not possible.

3. Edit or Remove a Volume Label of USB Flash drive.

Testing the bootloader configuration in a virtual machine QEMU (QEMU button)

There are three emulation download (Qemu mode):

1. Legacy (aka BIOS) - emulate boot on the PC w/o UEFI firmware

2. EFI32 ( aka IA32) - emulate boot on the Tablet PC with Intel Atom processors

3. EFI64 ( aka UEFI) - emulate boot on the PC with UEFI firmware and x64-compatible CPU

Note: In pure UEFI mode 64 -bit Windows 8-10 require a 64-bit UEFI, and 32-bit Windows require a 32 -bit IA32.

Restrictions:

1. QEMU can not complete boot WinPE distros, it used only for test the boot menu and to save time for debugging boot configuration .

2. Built-in QEMU will work only with a bootable USB drives created by Simply Boot Flash Creator.

Editing boot options for Grub4Dos

By clicking on the "green button" [image] we will attempt to open the file "/boot/grub/menu.lst" in built-in text editor AkelPad (for selected usb-device).

Checkbox "Show all usb-drives" (ALL)

Unlock ability to select and work with "fixed" Usb-drives.

Watch for the icon that displays the USB-drive as "removable" [image] or "fixed" [image] device.

Note: Do not use this option unless necessary.

Language Pack

The program system messages hardcoded in two languages: English and Russian, with auto-selection (depending on the language of the OS Windows).

For all OS with language other than Russian - messages will be in English.

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Getting Started

English ››

Getting Started

How to quickly create a bootable USB flash drive

1. Read the file Help.chm

2. Connect a working USB flash drive to your computer.

3. Run simboot.exe, select the target USB-drive, press the "START" button and wait for the end of the process.

4. Go to the directory "/boot/grub" on the target USB-drive and edit (replace with your own) file "menu.lst".

5. Choose Qemu boot mode and click on QEMU button to test your changes in the boot loader configuration.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


About

English ››

About

1. The program is free to use.

2. The program use components from the projects: Syslinux, Grub4Dos, RMPrepUSB, QEMU

3. Before using program is strongly recommended to read this Help.chm.

Mole, 2017

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites